%define	upstream_name	 IO-AIO
%define upstream_version 4.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Asynchronous Input/Output 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: db5.3-devel
BuildRequires: gdbm-devel
BuildRequires: perl-devel
Requires:   perl(common::sense)
%description
This module implements asynchronous I/O using whatever means your operating
system supports.

Currently, a number of threads are started that execute your read/writes and
signal their completion. You don't need thread support in your libc or perl,
and the threads created by this module will not be visible to the pthreads
library. In the future, this module might make use of the native aio functions
available on many operating systems. However, they are often not well-supported
(Linux doesn't allow them on normal files currently, for example), and they
would only support aio_read and aio_write, so the remaining functionality would
have to be implemented using threads anyway.

Although the module will work with in the presence of other threads, it is
currently not reentrant, so use appropriate locking yourself, always call
poll_cb from within the same thread, or never call poll_cb (or other aio_
functions) recursively.

After creating a new Gtk2::Ex::Simple::List object with the desired columns you
may set the list data with a simple Perl array assignment. Rows may be added or
deleted with all of the normal array operations. You can treat the data member
of the Simple::List object as an array reference, and manipulate the list data
with perl's normal array operators.

A mechanism has also been put into place allowing columns to be Perl scalars.
The scalar is converted to text through Perl's normal mechanisms and then
displayed in the list. This same mechanism can be expanded by defining
arbitrary new column types before calling the new function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{_bindir}/treescan
%{perl_vendorarch}/IO
%{perl_vendorarch}/auto/IO

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.180.0-2.mga3
+ Revision: 368434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 4.180.0-1.mga3
+ Revision: 306552
- update to 4.18

* Fri Aug 24 2012 pterjan <pterjan> 4.150.0-2.mga3
+ Revision: 283462
- Rebuild for new perl

* Tue Jun 05 2012 jquelin <jquelin> 4.150.0-1.mga3
+ Revision: 255027
- update to 4.15

* Wed May 30 2012 jquelin <jquelin> 4.120.0-2.mga3
+ Revision: 250782
- rebuild for perl 5.16

* Wed Jan 04 2012 jquelin <jquelin> 4.120.0-1.mga2
+ Revision: 190316
- update to 4.12

* Fri Oct 14 2011 jquelin <jquelin> 4.110.0-1.mga2
+ Revision: 154787
- update to 4.11
- update to 4.0

* Thu Jun 30 2011 jquelin <jquelin> 3.930.0-1.mga2
+ Revision: 116426
- update to 3.93

* Wed Jun 15 2011 jquelin <jquelin> 3.900.0-1.mga2
+ Revision: 106993
- update to 3.9

* Sat Jun 11 2011 sander85 <sander85> 3.800.0-2.mga2
+ Revision: 103771
- perl 5.14

* Mon Apr 04 2011 jquelin <jquelin> 3.800.0-1.mga1
+ Revision: 80362
- update to 3.8

* Tue Jan 18 2011 jquelin <jquelin> 3.710.0-1.mga1
+ Revision: 23169
- use meta.yml
- clean spec file
- imported package perl-IO-AIO

